summaryrefslogtreecommitdiff
path: root/dev-python/simplejson
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-11 00:38:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-11 00:38:31 +0000
commitec4612dcb652cc398f12b283409c9c89517d006c (patch)
treec5918061b8f2a13f6c54dc93199d5d954b5bd0fa /dev-python/simplejson
parentac8e94c3fe6b057ef11006a2c61306250487fdeb (diff)
downloadbaldeagleos-repo-ec4612dcb652cc398f12b283409c9c89517d006c.tar.gz
baldeagleos-repo-ec4612dcb652cc398f12b283409c9c89517d006c.tar.xz
baldeagleos-repo-ec4612dcb652cc398f12b283409c9c89517d006c.zip
Adding metadata
Diffstat (limited to 'dev-python/simplejson')
-rw-r--r--dev-python/simplejson/simplejson-3.17.5-r1.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/simplejson/simplejson-3.17.5-r1.ebuild b/dev-python/simplejson/simplejson-3.17.5-r1.ebuild
new file mode 100644
index 000000000000..a87875868312
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.17.5-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="
+ https://github.com/simplejson/simplejson/
+ https://pypi.org/project/simplejson/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest